Bug 1025026 - RFE: Move config save/restore to rtslib
RFE: Move config save/restore to rtslib
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: targetcli (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andy Grover
Bruno Goncalves
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2013-10-30 14:50 EDT by Andy Grover
Modified: 2014-06-18 03:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 06:12:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2013-10-30 14:50:41 EDT
Currently, save and restore of kernel target configuration is done by targetcli.service, which is in the targetcli package. This is actually somewhat a kludge. There are other packages, like targetd, which rely on a service restoring target config on restart, but is otherwise not dependent on targetcli, but only python-rtslib.

Upstream rtslib (me wearing a different hat) has moved the config restore capability to rtslib, with the addition of a "targetctl" tool.

This is important to get into RHEL 7 now instead of an update because I'd also like to change the service file name from targetcli.service to target.service. Making this change later will cause users who have activated the targetcli.service who then upgrade to unexpectedly have the replacement target.service be disabled.
Comment 3 Bruno Goncalves 2013-11-28 05:29:57 EST
Verified with targetcli-2.1.fb31-1.el7.

Service has been renamed to target.service. And targetcli is able to save and restore the configuration.
Comment 4 Ludek Smid 2014-06-13 06:12:27 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.